<div class="header"><h1 mat-dialog-title class="title-federation">Choose
        catalogue</h1>
    <button mat-icon-button (click)="onClose()">
        <mat-icon>close</mat-icon>
    </button></div>

<mat-dialog-content class="dlg-content">
    <div class="container" *ngIf="serviceDescription">
        <div class="federation-content" *ngFor="let federation of
            serviceDescription.federations" [formGroup]="form">
            <div class="federation-wrapper">
                <img src="assets/images/federation-publish.svg" *ngIf="!checkFederation(federation)" alt="">
            <p>{{federation}}</p>
            </div>
            
            <mat-slide-toggle [id]="'toggle'+federation" style="pointer-events:
                auto;" [disabled]="checkFederation(federation)"
                [formControlName]="federation"
                [checked]="checkFederation(federation)">
            </mat-slide-toggle>
        </div>
    </div>
</mat-dialog-content>
<mat-dialog-actions>
    <button class="publish-button" mat-flat-button (click)="publish()">Publish</button>
</mat-dialog-actions>
